Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/1358/?format=api
{ "ob_id": 1358, "uuid": "fa063965785aa4fcd82ed0db56e97c94", "title": "CORRAL: Historical meteorological recordings from the UK colonial registers and Royal Navy logbook images", "abstract": "The UK Colonial Registers and Royal Navy Logbooks (CORRAL) project uses late 18th to early 20th century archive material to enhance the global coverage of daily to sub-daily weather observations by digitising Royal Navy ship's logbooks (from ships of voyages of scientific discovery and those in the service of the Hydrographic Survey) and coastal and island records contained in UK Colonial documents. This dataset contains meteorological recordings from marine sites back to the 18th Century. \r\n\r\nThese records are held at The National Archive, Kew. The ADM section includes records of the Admiralty, Naval Forces, Royal Marines, Coastguard, and related bodies, concerning all aspects of the organisation and operation of the Royal Navy and associated naval forces, over the period 1205-1998 (more details are available in the National Archives catalogue entry).\r\n\r\nThe CORRAL project deals with the following series:\r\n\r\nADM51: Admiralty: Captains' Logs, 1669-1853\r\nADM53: Admiralty: and Ministry of Defence, Navy Department: Ships' Logs 1799-1985 [Excluding Flying Squadron]\r\nADM53 -- Flying Squadron: Admiralty: and Ministry of Defence, Navy Department: Ships' Logs 1869-1872\r\nADM55: Admiralty: Supplementary Logs and Journals of Ships on Exploration, 1757-1861; 1904, including logs from the voyages of James Cook.\r\n\r\nTo aid usability of this dataset an index service has been produced, linked to from this record.", "keywords": "CORRAL, meteorology, ships", "publicationState": "published", "dataPublishedTime": "2023-11-28T08:01:45", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/1359/?format=api", "dataPath": "/badc/corral/images", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1204632128805, "numberOfFiles": 366460, "fileFormat": "Images are jpeg formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/405/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Images have been digitised as part of the CORRAL project and made available through the BADC", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/1006/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/1360/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1357/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4267/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4271/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4275/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4266/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4265/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4268/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4269/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4270/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4274/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/4272/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/1364/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }